{% extends "account/base_entrance.html" %}
{% load i18n %}
{% load allauth %}
{% block head_title %}
    {% trans "Change Password" %}
{% endblock head_title %}
{% block content %}
    {% element h1 %}
        {% if token_fail %}
            {% trans "Bad Token" %}
        {% else %}
            {% trans "Change Password" %}
        {% endif %}
    {% endelement %}
    {% if token_fail %}
        {% url 'account_reset_password' as passwd_reset_url %}
        <p>
            {% blocktrans %}O link para resetar a senha está invalida, possivelmente já foi usado. Faça uma nova requisição via <a href="{{ passwd_reset_url }}">para um novo reset de senha</a>.{% endblocktrans %}
        </p>
    {% else %}
        {% element form method="post" action=action_url %}
            {% slot body %}
                {% csrf_token %}
                {% element fields form=form %}
                {% endelement %}
            {% endslot %}
            {% slot actions %}
                {% element button type="submit" name="action" %}
                    {% trans 'Change Password' %}
                {% endelement %}
            {% endslot %}
        {% endelement %}
    {% endif %}
{% endblock content %}
